## visad
Interface RemoteThing

All Superinterfaces:
  Remote, Thing

All Known Subinterfaces:
  RemoteClientData, RemoteClientField, RemoteClientPartitionedField, RemoteClientTuple, RemoteClusterData, RemoteData, RemoteNodeData, RemoteNodeField, RemoteNodePartitionedField, RemoteNodeTuple

All Known Implementing Classes:
  RemoteClientDataImpl, RemoteClientFieldImpl, RemoteClientPartitionedFieldImpl, RemoteClientTupleImpl, RemoteClusterDataImpl, RemoteDataImpl, RemoteNodeDataImpl, RemoteNodeFieldImpl, RemoteNodePartitionedFieldImpl, RemoteNodeTupleImpl, RemoteThingImpl

public interface RemoteThing
extends Remote, Thing

RemoteThing is the interface for Remote VisAD Thing objects.

Method Summary
`long` `getTick()` RemoteThingReference-s poll getTick()
`long` `incTick()` Tick is incremented in a RemoteThing object, rather than propogating Thing changes to RemoteThingReference-s

Methods inherited from interface visad.Thing
`addReference, removeReference`

Method Detail

### incTick

    public long incTick()
                 throws RemoteException

  Tick is incremented in a RemoteThing object, rather than propogating Thing changes to RemoteThingReference-s

  Throws:
    `RemoteException`

### getTick

    public long getTick()
                 throws RemoteException

  RemoteThingReference-s poll getTick()

  Throws:
    `RemoteException`